libgl1-nvidia-legacy-304xx-glx_304.137-0~deb8u1_amd64.deb


Advertisement

Description

libgl1-nvidia-legacy-304xx-glx - NVIDIA binary OpenGL/GLX libraries (304xx legacy version)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Nonfree amd64
Package filename libgl1-nvidia-legacy-304xx-glx_304.137-0~deb8u1_amd64.deb
Package name libgl1-nvidia-legacy-304xx-glx
Package version 304.137
Package release 0~deb8u1
Package architecture amd64
Package type deb
Category non-free/libs
Homepage https://www.nvidia.com
License -
Maintainer Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Download size 6.36 MB
Installed size 35.45 MB
The NVIDIA binary driver provides optimized hardware acceleration of
OpenGL/GLX applications via a direct-rendering X Server
for graphics cards using NVIDIA chip sets.
See the description of the nvidia-legacy-304xx-driver package
or /usr/share/doc/libgl1-nvidia-legacy-304xx-glx/README.txt.gz
for a complete list of supported GPUs and PCI IDs.
This package contains the driver specific binary OpenGL/GLX implementation
provided by NVIDIA.

Alternatives

Package Version Architecture Repository
libgl1-nvidia-legacy-304xx-glx_304.137-0~deb8u1_i386.deb 304.137 i386 Debian Nonfree
libgl1-nvidia-legacy-304xx-glx - - -

Requires

Name Value
libc6 >= 2.2.5
libx11-6 -
libxext6 -
libxv1 -
libxvmc1 -
multiarch-support -
nvidia-installer-cleanup -
nvidia-legacy-304xx-alternative = 304.137-0~deb8u1
nvidia-support -

Provides

Name Value
libgl1-nvidia-glx-304.137 -
libgl1-nvidia-glx-any -

Conflicts

Name Value
libgl1-nvidia-glx-304.137 -

Replaces

Name Value
libxvmcnvidia1 << 305

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libgl1-nvidia-legacy-304xx-glx_304.137-0~deb8u1_amd64.deb
Source Package nvidia-graphics-drivers-legacy-304xx

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgl1-nvidia-legacy-304xx-glx deb package:
    # sudo apt-get install libgl1-nvidia-legacy-304xx-glx

Files

Path
/usr/lib/x86_64-linux-gnu/libnvidia-glcore.so.304.137
/usr/lib/x86_64-linux-gnu/libnvidia-tls.so.304.137
/usr/lib/x86_64-linux-gnu/nvidia/legacy-304xx/libGL.so.1
/usr/lib/x86_64-linux-gnu/nvidia/legacy-304xx/libGL.so.304.137
/usr/lib/x86_64-linux-gnu/nvidia/legacy-304xx/libXvMCNVIDIA.so.1
/usr/lib/x86_64-linux-gnu/nvidia/legacy-304xx/libXvMCNVIDIA.so.304.137
/usr/lib/x86_64-linux-gnu/nvidia/legacy-304xx/libXvMCNVIDIA_dynamic.so.1
/usr/lib/x86_64-linux-gnu/nvidia/legacy-304xx/libnvidia-cfg.so.1
/usr/lib/x86_64-linux-gnu/nvidia/legacy-304xx/libnvidia-cfg.so.304.137
/usr/share/bug/libgl1-nvidia-legacy-304xx-glx/control
/usr/share/bug/libgl1-nvidia-legacy-304xx-glx/script
/usr/share/doc/libgl1-nvidia-legacy-304xx-glx/README.alternatives
/usr/share/doc/libgl1-nvidia-legacy-304xx-glx/README.txt.gz
/usr/share/doc/libgl1-nvidia-legacy-304xx-glx/changelog.Debian.gz
/usr/share/doc/libgl1-nvidia-legacy-304xx-glx/changelog.gz
/usr/share/doc/libgl1-nvidia-legacy-304xx-glx/copyright
/usr/share/lintian/overrides/libgl1-nvidia-legacy-304xx-glx

Changelog

2018-06-16 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers-legacy-304xx (304.137-0~deb8u1) jessie; urgency=medium
* The 304.xx legacy driver series has been declared as End-of-Life by
NVIDIA. No further updates fixing security issues, critical bugs, or
adding support for new Xorg or Linux releases will be issued.
https://nvidia.custhelp.com/app/answers/detail/a_id/3142
* New upstream legacy 304xx branch release 304.137 (2017-09-19).
- Improved compatibility with recent Linux kernels.
[ Andreas Beckmann ]
* Add NEWS entry for End-of-Life status.
* Synchronize packaging with nvidia-graphics-drivers-legacy-304xx 304.137-5.
* not-parallel.patch: New, prevent parallel module build (304.135-3).
* Switch watch URL from ftp:// to https:// (375.82-1).
* build-module-packages.sh: Order kernels by descending version (375.82-2).
* bug-control: Add arch qualification to M-A:same packages in report-with
list otherwise reportbug will ignore them if more than one is installed
(375.82-5).
* Use https:// URLs where possible (375.82-8).
* Stop shipping the classic libnvidia-tls.so.* and ship the modern one (for
Linux 2.6 onwards) in the regular libdir instead of the tls/ subdir
(384.111-1).  (Closes: #883615)
* nvidia-kernel-{dkms,source}: Mention the supported architecture(s) in the
long Description (384.111-4).
* Convert packaging repository from SVN to GIT.
* Update lintian overrides.
* Upload to jessie.
[ Luca Boccassi ]
* Switch to my debian.org email address in Uploaders.
* Drop drm-driver-legacy.patch and deprecated-cpu-events.patch, fixed
upstream (304.137-1).
* Refresh disable-mtrr.patch to remove fuzz from upstream changes
(304.137-1).
* Add pud-offset.patch to fix runtime error on Linux 4.12 and newer.
Original patch: https://bugzilla.rpmfusion.org/show_bug.cgi?id=4629#c11
(304.135-5)
* Add nvidia-drm-pci-init.patch to fix kernel module build on Linux 4.14
and newer (304.137-1).
* Add timer.patch to fix kernel module build on Linux 4.15 and newer
(304.137-4).
[ Russ Allbery ]
* Remove myself from Uploaders.
2017-04-05 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers-legacy-304xx (304.135-1) jessie; urgency=medium
* New upstream legacy 304xx branch release 304.135 (2017-02-14).
* Fixed CVE-2017-0309, CVE-2017-0310, CVE-2017-0311, CVE-2017-0318,
CVE-2017-0321.  (Closes: #855279)
https://nvidia.custhelp.com/app/answers/detail/a_id/4398
[ Luca Boccassi ]
* Synchronize packaging with nvidia-graphics-drivers-legacy-304xx 304.135-2:
- Add deprecated-cpu-events.patch and update disable-mtrr.patch to fix
kernel module build on Linux 4.10 and newer.
* Synchronize packaging with nvidia-graphics-drivers-legacy-304xx 304.134-2:
- Add drm-driver-legacy.patch to fix nvidia kernel module load issue on
Linux 4.9 and newer.  (Closes: #852152)
* Upload to jessie.

See Also

Package Description
libgles1-nvidia_340.106-1_amd64.deb NVIDIA binary OpenGL|ES 1.x library
libgles2-nvidia_340.106-1_amd64.deb NVIDIA binary OpenGL|ES 2.x library
libjabsorb-java_1.3-3_all.deb Java to Javascript object request broker
libjai-core-java-doc_1.1.4-3_all.deb Java Advanced Imaging API reference implementation (documentation)
libjai-core-java_1.1.4-3_amd64.deb Java Advanced Imaging API reference implementation
libjai-imageio-core-java-doc_1.2-3_all.deb Java Advanced Imaging Image I/O Tools API core (documentation)
libjai-imageio-core-java_1.2-3_amd64.deb Java Advanced Imaging Image I/O Tools API core
libmail-sender-perl_0.8.16-2_all.deb Perl Module for sending mails with attachments
libmath-random-perl_0.71-5+b1_amd64.deb Perl collection of random number generators
libmetis-edf-dev_4.1-2-3_amd64.deb Family of Multilevel Partitioning Algorithms
libmetis-edf4.1_4.1-2-3_amd64.deb Family of Multilevel Partitioning Algorithms
libnauty2-dev_2.5r9+ds-1_amd64.deb library for graph automorphisms -- development package
libnauty2_2.5r9+ds-1_amd64.deb library for graph automorphisms -- library package
libnppc6.0_6.0.37-5_amd64.deb NVIDIA Performance Primitives core runtime library
libnppi6.0_6.0.37-5_amd64.deb NVIDIA Performance Primitives for image processing runtime library
Advertisement
Advertisement